import 'package:flutter/cupertino.dart';

/// 调色析
class ColorPalette {
  static const Color BLACK = Color(0xFF000000);
  static const Color TRANSPARENT = Color(0x00FFFFFF);

  static const Color MAJOR = Color(0xFF7654FF);

  static const Color TEXT0 = BLACK;
  static const Color TEXT1 = Color(0xFF333333);
  static const Color TEXT2 = Color(0xFF666666);
  static const Color TEXT3 = Color(0xFF999999);
  static const Color TEXT4 = Color(0xFFCCCCCC);

  static const Color TEXT_PLACEHOLDER = Color(0xFFCCCCCC);
  static const Color TEXT_REVERSE = Color(0xFFFFFFFF);
  static const Color TEXT_LINK = Color(0xFF909198);
  static const Color TEXT_LINK_REVERSE = Color(0xFF7654FF);
  static const Color TEXT_DISABLED = Color(0xFFDDDEE5);

  static const Color BACKGROUND = Color(0xFFFFFFFF);

  static const Color LINE = Color(0xFFE6E6E6);
  static const Color BORDER = Color(0xFFDDDDDD);

  static const Color INPUT_FOCUS_UNDER_LINE_BORDER = Color(0xFF666666);
  static const Color INPUT_UNDER_LINE_BORDER = Color(0xFFEEEEEE);

  static const Color TOAST_BG_COLOR = Color(0xCD000000);

  static const Color LIVE_STATUS_BG = Color(0xFFBDC1D6);
  static const Color LIVE_STATUS_BG_LIVING = Color(0xB47654FF);
}
