import 'package:flutter/material.dart';

class FontPalette {
  static const Font HEADLINE1 = Font(28, weight: FontWeight.w500);
  static const Font HEADLINE2 = Font(22, weight: FontWeight.w500);

  static const Font TEXT0 = Font(18);
  static const Font TEXT_BOLD0 = Font(18, weight: FontWeight.w500);

  static const Font TEXT1 = Font(16);
  static const Font TEXT_BOLD1 = Font(16, weight: FontWeight.w500);

  static const Font TEXT2 = Font(14);
  static const Font TEXT_BOLD2 = Font(14, weight: FontWeight.w500);

  static const Font TEXT3 = Font(12);
  static const Font TEXT_BOLD3 = Font(12, weight: FontWeight.w500);

  static const Font TEXT4 = Font(10);
  static const Font TEXT_BOLD4 = Font(10, weight: FontWeight.w500);

  static const Font Number = Font(20, family: "DIN", weight: FontWeight.w500);
}

class Font {
  final double size;
  final String family;
  final FontStyle style;
  final FontWeight weight;
  const Font(this.size,
      {String family = "PingFang SC", FontWeight weight = FontWeight.normal, FontStyle style = FontStyle.normal})
      : this.family = family,
        this.weight = weight,
        this.style = style;
}
